name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions
on:
  push:
    branches:
      - main

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      - name: Job start
        run: echo "The job was automatically triggered by a ${{ gitea.event_name }} event."

      # - name: Install Task utility
      #   uses: go-task/setup-task@v1

      - name: Install GoLang v1.25.4
        uses: actions/setup-go@v5
        with:
          go-version: "1.25.4"
          cache: true

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Check out repository code
        uses: actions/checkout@v4

      - name: Log in to Docker Hub
        uses: docker/login-action@v3
        with:
          registry: sirius.klsh.ru
          username: ${{ secrets.DOCKER_USER }}
          password: ${{ secrets.DOCKER_SECRET }}

      - name: Build and push Docker image
        uses: docker/build-push-action@v5
        with:
          context: .
          file: ./Dockerfile
          push: true
          tags: sirius.klsh.ru/${{ gitea.repository }}/test-app:latest

      - name: Job status
        run: echo "This job's status is ${{ job.status }}."
